For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Platform docsVideosCommunitySign up
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
  • Management API
    • Reference
        • POSTGetCallHistory
        • POSTGetCallHistoryAsync
        • POSTGetBriefCallHistory
        • POSTGetHistoryReports
        • POSTDownloadHistoryReport
        • POSTGetTransactionHistory
        • POSTGetTransactionHistoryAsync
        • POSTDeleteRecord
        • POSTGetACDHistory
        • POSTGetAuditLog
        • POSTGetAuditLogAsync
    • Authorization
    • Errors
  • Web SDK
    • Overview
  • Android SDK
    • Overview
  • Android SDK v3
    • Overview
  • iOS SDK
    • Overview
  • React Native SDK
    • Overview
  • Flutter SDK
    • Overview
LogoLogo
Platform docsVideosCommunitySign up
Management APIReferenceHistory

GetAuditLog

||View as Markdown|
POST
https://api.voximplant.com/platform_api/GetAuditLog
POST
/platform_api/GetAuditLog
$curl -X POST "https://api.voximplant.com/platform_api/GetAuditLog?from_date=2026-04-28%2017%3A30%3A00&to_date=2026-04-28%2017%3A30%3A00" \
> -H "Authorization: Bearer <token>"
200Example 1
1{
2 "result": [
3 {
4 "audit_log_id": 58,
5 "account_id": 1,
6 "requested": "2018-02-04 19:35:13",
7 "ip": "192.168.0.12",
8 "cmd_name": "AddSkill",
9 "cmd_args": {
10 "skill_name": "manager"
11 },
12 "cmd_result": {
13 "skill_id": 152
14 }
15 },
16 {
17 "audit_log_id": 159,
18 "account_id": 1,
19 "requested": "2018-02-05 19:36:19",
20 "ip": "192.168.0.12",
21 "cmd_name": "BindSkill",
22 "cmd_args": {
23 "bind": true,
24 "skill_id": [
25 152
26 ],
27 "acd_queue_id": [
28 151
29 ]
30 }
31 },
32 {
33 "audit_log_id": 1073,
34 "account_id": 1,
35 "requested": "2018-02-12 21:42:56",
36 "ip": "192.168.15.12",
37 "cmd_name": "DelSkill",
38 "cmd_args": {
39 "skill_id": [
40 152
41 ]
42 },
43 "cmd_result": {
44 "deleted_skills": [
45 {
46 "skill_name": "officer",
47 "skill_id": 152
48 }
49 ]
50 }
51 }
52 ],
53 "count": 3,
54 "timezone": "Etc/GMT"
55}

Gets the history of account changes.

Allowed roles: Owner.

Example request: Get the three log items from the 2018-02-01 00:00:00 to the 2018-03-01 00:00:00 and filter.

Was this page helpful?
Previous

GetACDHistory

Next

GetAuditLogAsync

Built with

Authentication

AuthorizationBearer
Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the `Authorization` header as a Bearer value: ``` Authorization: Bearer $VOXIMPLANT_TOKEN ``` See [Authorization](/api-reference/management-api/authorization) for ready-to-copy snippets in bash, Python, Node.js and Go that turn your `credentials.json` into a token.

Query parameters

from_datestringRequired

The UTC ‘from’ date filter in 24-h format: YYYY-MM-DD HH:mm:ss

to_datestringRequired

The UTC ‘to’ date filter in 24-h format: YYYY-MM-DD HH:mm:ss

audit_log_idlist of integersOptional

The audit history ID list separated by semicolons (;)

filtered_admin_user_idstringOptional
The admin user ID to filter
filtered_iplist of stringsOptional

The IP list separated by semicolons (;) to filter

filtered_cmdlist of stringsOptional

The function list separated by semicolons (;) to filter

advanced_filtersstringOptional

A relation ID to filter (for example: a phone_number value, a user_id value, an application_id value)

desc_orderbooleanOptionalDefaults to false
Whether to get records in the descent order
with_total_countbooleanOptionalDefaults to false

Whether to include the ‘total_count’ and increase performance

countintegerOptionalDefaults to 100
The max returning record count
offsetintegerOptionalDefaults to 0

The first N records are skipped in the output

Response

Successful response
resultlist of objects
total_countinteger
The total found item count
countinteger
The returned item count
timezonestring
The used timezone

Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the Authorization header as a Bearer value:

Authorization: Bearer $VOXIMPLANT_TOKEN

See Authorization for ready-to-copy snippets in bash, Python, Node.js and Go that turn your credentials.json into a token.